package task

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type GameTaskRouter struct {
}

func (e *GameTaskRouter) InitGameTaskRouter(Router *gin.RouterGroup) {
	GameTaskRouter := Router.Group("gameTask")
	GameTaskApi := v1.ApiGroupApp.TaskApiGroup.GameTaskApi
	{
		GameTaskRouter.POST("create", GameTaskApi.CreateGameTask)
		GameTaskRouter.POST("getGameTaskList", GameTaskApi.GetGameTaskList)
		GameTaskRouter.POST("getGameTaskById", GameTaskApi.GetGameTaskById)
		GameTaskRouter.POST("statusOperation", GameTaskApi.StatusOperation)
		GameTaskRouter.POST("update", GameTaskApi.UpdateGameTask)
		GameTaskRouter.POST("delete", GameTaskApi.DeleteGameTask)
	}
}
